#!/usr/bin/perl
#
#     Caption: Zaval File Search
#     $Revision: 1.17 $
#     $Date: 2002/02/16 12:30:17 $
#
#     @author:     Victor Krapivin
#     @version:    1.3
#
# The Zaval File Search solution is a local area network tool designed 
# for fast file search on SMB shares.
# This tool is dedicated for advanced Unix users and programmers.
# 
# For more info on this product read Zaval File Search User's Guide
# (It comes within this package).
# The latest product version is always available from the product's homepage:
# http://www.zaval.org/products/file-search/
# and from the SourceForge:
# http://sourceforge.net/projects/zaval0001/
#
# Contacts:
#   Author : v.krapivin@zaval.org
#   Support : support@zaval.org
#   Change Requests : change-request@zaval.org
# 
# Copyright (C) 2001-2002  Zaval Creative Engineering Group (http://www.zaval.org)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# (version 2) as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

use integer;

$currtime=time;

($sec,$min,$hour,$mday,$mon,$currentyear,$wday,$yday,$isdst) = localtime($currtime);

$currentyear+=1900;

$datadir=$ENV{"DATADIR"}."/lists";
$seconds_remove=$ENV{"TIME_ALLOW"} * 60*60;
$seconds_rescan=$ENV{"TIME_RESCAN"} * 60*60;

opendir(LS,$datadir) or die "Can't get directory";
while ($fn=readdir LS) { chomp;
  if ($fn =~ /^list\./) {
    ($dev,$ino,$mode,$nlink,$uid,$gid,$rdev,$size,$atime,$mtime,$ctime,$blksize,$blocks) = stat("$datadir/$fn");
    if ($currtime-$mtime >= $seconds_remove) {push @lremove,"$datadir/$fn"; print "\tRemoving $fn\n"}
  }
}
unlink @lremove;
closedir(LS);
