#!/bin/sh
#
#     Caption: Zaval File Search
#     $Revision: 1.17 $
#     $Date: 2002/02/16 12:30:17 $
#
#     @author:     Viktor Krapivin
#     @version:    1.2
#
# The Zaval File Search solution is a local area network tool designed 
# for fast file search on SMB shares.
# This tool is dedicated for advanced Unix users and programmers.
# 
# For more info on this product read Zaval File Search User's Guide
# (It comes within this package).
# The latest product version is always available from the product's homepage:
# http://www.zaval.org/products/file-search/
# and from the SourceForge:
# http://sourceforge.net/projects/zaval0001/
#
# Contacts:
#   Author : v.krapivin@zaval.org
#   Support : support@zaval.org
#   Change Requests : change-request@zaval.org
# 
# Copyright (C) 2001-2002 Zaval Creative Engineering Group (http://www.zaval.org)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# (version 2) as published by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#

# Generic spider for network shares

. /etc/zfsearch/spider.conf

export DATADIR WINS FTP_USER FTP_PASSWORD TIME_RESCAN TIME_ALLOW

if [ -z "$TRANSLATE_COMMAND_SMB" ]; then
    echo "Warning: \$TRANSLATE_COMMAND not defined !"
    TRANSLATE_COMMAND_SMB=cat
fi
if [ -z "$TRANSLATE_COMMAND_FTP" ]; then
    echo "Warning: \$TRANSLATE_COMMAND_FTP not defined !"
    TRANSLATE_COMMAND_FTP=cat
fi

mkdir -p $DATADIR

if [ -f "$HOST_LIST" ]
then
    cat $HOST_LIST > $DATADIR/hosts
else
    rm -f $DATADIR/hosts
fi

if [ ! -z "$WINS" ]
then
    echo Scan samba network...
    `dirname $0`/get-all-servers.pl >> $DATADIR/hosts
fi

# spawn 7th  separate processes to scan network in parallel
# Reason: real = 1130m, user+sys = 247+89m, <30% CPU usage for sequential scan
echo Scan hosts...
mkdir -p $DATADIR/lists

# ====== parallel scan ======
`dirname $0`/remove-old.pl
for i in 0 1 2 3 4 5 6 7; do
    `dirname $0`/scan-host.pl $i 8 < $DATADIR/hosts &
done
wait
# ===========================

# ======  linear scan  ======
#`dirname $0`/scan-host.pl 0 1 < $DATADIR/hosts
# ===========================

unset DATADIR WINS FTP_USER FTP_PASSWORD TIME_RESCAN TIME_ALLOW
